
Figure - Bug #118704
IOVDEV-33655【内部】【VC1】【0106】【台架】【EE环境】【副屏】【第三方应用】强制停止哔哩哔哩，
上划删除后台进程，哔哩哔哩仍自动被运行
2023-06-09 11:41 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-09

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：2023/06/07 19:40 第226次开机

【前提条件】：

电源on

【操作步骤】：

1、打开哔哩哔哩车机版

2、上划删除后台进程

3、设置中强制停止哔哩哔哩

【实际结果】

强制停止后 隐藏的消息通知显示 “哔哩哔哩”正在运行的消息消失，但过1分钟，又展示 “哔哩哔哩”正在运行 哔哩哔哩自己被运行

【期望结果】

强制停止后不可自动运行

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】哔哩哔哩车机版 2.6.0

录屏&log:https://ofs.human-horizons.com/#/download/index/O89E%2BCQAcos%3D

History

#1 - 2023-06-09 11:42 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118704

#2 - 2023-06-09 14:36 - CD FW-廖涛
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118704


- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

■ Current conclusion

日志中没有第 226 次开机的日志文件，并且需要提供哔哩哔哩车机版的安装包。

■ Next action

测试确认并同步客户。

#3 - 2023-06-12 15:48 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

哔哩哔哩车机版在进入应用后，会通过服务发送一个前台通知，这样的服务优先级比较高，在通过 Recent 去杀掉时，是无法杀掉带前台通知的服务的。

并且通过 Settings 中的应用管理强制停止后，这种服务也会根据系统策略被重新拉起来。

该现象和 Android 12 原生系统的平板上表现一致。

哔哩哔哩车机版服务启动日志如下：

06-09 20:09:47.033 1060 1202 V ActivityManager: Attempted to start a foreground service (com.bilibili.bilithings/com.bili.projection.service.ProjectionScreenService) with a

broken notification (no icon: Notification(channel=2 shortcut=null contentView=null vibrate=null sound=null defaults=0x0 flags=0x40 color=0x00000000

vis=PRIVATE)) 06-09 20:09:47.035 1060 1202 I ActivityManager: Deferring FGS notification in legacy app com.bilibili.bilithings/u0a115 : Notification(channel=2

shortcut=null contentView=null vibrate=null sound=null defaults=0x0 flags=0x40 color=0x00000000 vis=PRIVATE)

该行为为 Android 12 系统策略，且副屏系统没有定制，遵循原生策略，为正常现象，无需处理。

#4 - 2023-06-12 15:49 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-12 15:49 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
